Subject: Re: [PATCH net] netns: fix NLM_F_ECHO mechanism for RTM_NEWNSID

From: Guillaume Nault <[email-masked]>
Date: Wed, 9 Oct 2019 15:48:00 +0200

On Wed, Oct 09, 2019 at 10:07:56AM +0200, Nicolas Dichtel wrote:
> Le 09/10/2019 à 01:10, Guillaume Nault a écrit :
> [snip]
> > We also need to set .portid and .seq otherwise rtnl_net_fill() builds
> > a netlink message with invalid port id and sequence number (as you
> > noted in your previous message).
> > 
> Yes you're right. I don't know why, I had in mind that nl msg sent by the kernel
> should have the portid and seq number set to 0.
> Will send a v2.
> 
I guess this idea comes from the fact that portid and seq don't carry
any meaningful information when the message is sent to a multicast
group.